Skip to content
Ona Docs

ListSCIMConfigurations

client.Organizations.ScimConfigurations.List(ctx, params) (*ScimConfigurationsPage[ScimConfiguration], error)
POST/gitpod.v1.OrganizationService/ListSCIMConfigurations

Lists SCIM configurations for an organization.

Use this method to:

  • View all SCIM configurations
  • Monitor provisioning status
  • Audit SCIM settings

Examples

  • List SCIM configurations:

    Shows all SCIM configurations for an organization.

    pagination:
      pageSize: 20
ParametersExpand Collapse
params OrganizationScimConfigurationListParams
Token param.Field[string]Optional

Query param

PageSize param.Field[int64]Optional

Query param

maximum100
minimum0
ReturnsExpand Collapse
type ScimConfiguration struct{…}

SCIMConfiguration represents a SCIM 2.0 provisioning configuration

ID string

id is the unique identifier of the SCIM configuration

formatuuid
CreatedAt Time

created_at is when the SCIM configuration was created

formatdate-time
OrganizationID string

organization_id is the ID of the organization this SCIM configuration belongs to

formatuuid
TokenExpiresAt Time

token_expires_at is when the current SCIM token expires

formatdate-time
UpdatedAt Time

updated_at is when the SCIM configuration was last updated

formatdate-time
AllowUnverifiedEmailAccountLinking boolOptional

allow_unverified_email_account_linking allows SCIM to link provisioned users to existing accounts when the identity provider does not mark the email address as verified

Enabled boolOptional

enabled indicates if SCIM provisioning is active

Name stringOptional

name is a human-readable name for the SCIM configuration

maxLength128
SSOConfigurationID stringOptional

sso_configuration_id is the linked SSO configuration (optional)

formatuuid

ListSCIMConfigurations

package main

import (
  "context"
  "fmt"

  "github.com/gitpod-io/gitpod-sdk-go"
  "github.com/gitpod-io/gitpod-sdk-go/option"
)

func main() {
  client := gitpod.NewClient(
    option.WithBearerToken("My Bearer Token"),
  )
  page, err := client.Organizations.ScimConfigurations.List(context.TODO(), gitpod.OrganizationScimConfigurationListParams{
    Pagination: gitpod.F(gitpod.OrganizationScimConfigurationListParamsPagination{
      PageSize: gitpod.F(int64(20)),
    }),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
{
  "pagination": {
    "nextToken": "nextToken"
  },
  "scimConfigurations": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "createdAt": "2019-12-27T18:11:19.117Z",
      "organizationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "tokenExpiresAt": "2019-12-27T18:11:19.117Z",
      "updatedAt": "2019-12-27T18:11:19.117Z",
      "allowUnverifiedEmailAccountLinking": true,
      "enabled": true,
      "name": "name",
      "ssoConfigurationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
    }
  ]
}
Returns Examples
{
  "pagination": {
    "nextToken": "nextToken"
  },
  "scimConfigurations": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "createdAt": "2019-12-27T18:11:19.117Z",
      "organizationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "tokenExpiresAt": "2019-12-27T18:11:19.117Z",
      "updatedAt": "2019-12-27T18:11:19.117Z",
      "allowUnverifiedEmailAccountLinking": true,
      "enabled": true,
      "name": "name",
      "ssoConfigurationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
    }
  ]
}